Zeitgeist.register_uri_scheme – zeitgeist-2.0 Reference Manual

# register_uri_scheme

## Description:

public void register_uri_scheme (string uri_scheme, string manifestation_type)

zeitgeist_register_uri_scheme:

Associate a URI scheme with a given subject manifestation type. You can find the manifestation type of a given URI by passing it to zeitgeist_manifestation_for_uri().

This library will install a range a common URI schemes for you, so unless you have very specific needs you will normally not have to call this function.

## Parameters:

uri_scheme | A URI scheme such as http:\/\/
manifestation_type | A URI defining the subject manifestation type to associate with "uri_scheme"

Namespace: Zeitgeist
Package: zeitgeist-2.0